%define upstream_name    Pod-Readme
%define upstream_version v1.1.2

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Convert Module POD to a README file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Changes)
BuildRequires: perl(CPAN::Meta::Check)
BuildRequires: perl(Carp)
BuildRequires: perl(File::Copy)
BuildRequires: perl(Getopt::Long::Descriptive)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::String)
BuildRequires: perl(Module::Build::Compat)
BuildRequires: perl(Moo)
BuildRequires: perl(MooX::HandlesVia)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Pod::Text)
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(Types::Standard)
BuildRequires: perl(namespace::autoclean)

BuildArch: noarch


%description
This module is a subclass of L<Pod::PlainText> which provides additional
POD markup for generating F<README> files.

Why should one bother with this? One can simply use

  pod2text Module.pm > README

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc README.pod META.yml Changes
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.1.2-3.mga6
+ Revision: 1032326
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.1.2-2.mga6
+ Revision: 966788
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 1.1.2-1.mga6
+ Revision: 846859
- update to v1.1.2

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-5.mga5
+ Revision: 748443
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-4.mga5
+ Revision: 686019
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.110.0-3.mga4
+ Revision: 514226
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 371986
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.110.0-1.mga1
+ Revision: 28731
- mageia rebuild
- imported package perl-Pod-Readme

